package cn.com.qmth.scancentral.enums;

public enum ExamStatus {

    OK("正常"), ABSENT("缺考"), UNCHECK("待确认"),;

    private String name;

    ExamStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ExamStatus getByName(String name) {
        for (ExamStatus r : ExamStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
