package cn.com.qmth.scancentral.vo.examinfo;

import java.util.ArrayList;
import java.util.List;

public class ExamInfoVo {

    private Long id;

    private String name;

    private ExamConfig examConfig;

    private List<SubjectConfig> subjectConfig;

    private UploadInfo upload;

    private ExamData examData;

    private Scanner scanner;

    private Auditor auditor;

    private AnswerScan answerScan;

    private PackageScan packageScan;

    private ImageCheckTask imageCheckTask;

    private VerifyTask verifyTask;

    private OmrTask omrTask;

    private PackageTask packageTask;

    private StudentAnswerTask studentAnswerTask;

    private AssignedCheck assignedCheck;

    private ExamStatusCheck examStatusCheck;

    public ExamInfoVo() {
        examConfig = new ExamConfig();
        subjectConfig = new ArrayList<>();
        upload = new UploadInfo();
        examData = new ExamData();
        scanner = new Scanner();
        auditor = new Auditor();
        answerScan = new AnswerScan();
        packageScan = new PackageScan();
        omrTask = new OmrTask();
        imageCheckTask = new ImageCheckTask();
        verifyTask = new VerifyTask();
        packageTask = new PackageTask();
        studentAnswerTask = new StudentAnswerTask();
        assignedCheck = new AssignedCheck();
        examStatusCheck = new ExamStatusCheck();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UploadInfo getUpload() {
        return upload;
    }

    public void setUpload(UploadInfo upload) {
        this.upload = upload;
    }

    public ExamData getExamData() {
        return examData;
    }

    public void setExamData(ExamData examData) {
        this.examData = examData;
    }

    public Scanner getScanner() {
        return scanner;
    }

    public void setScanner(Scanner scanner) {
        this.scanner = scanner;
    }

    public Auditor getAuditor() {
        return auditor;
    }

    public void setAuditor(Auditor auditor) {
        this.auditor = auditor;
    }

    public AnswerScan getAnswerScan() {
        return answerScan;
    }

    public void setAnswerScan(AnswerScan answerScan) {
        this.answerScan = answerScan;
    }

    public PackageScan getPackageScan() {
        return packageScan;
    }

    public void setPackageScan(PackageScan packageScan) {
        this.packageScan = packageScan;
    }

    public VerifyTask getVerifyTask() {
        return verifyTask;
    }

    public void setVerifyTask(VerifyTask verifyTask) {
        this.verifyTask = verifyTask;
    }

    public OmrTask getOmrTask() {
        return omrTask;
    }

    public void setOmrTask(OmrTask omrTask) {
        this.omrTask = omrTask;
    }

    public PackageTask getPackageTask() {
        return packageTask;
    }

    public void setPackageTask(PackageTask packageTask) {
        this.packageTask = packageTask;
    }

    public ExamConfig getExamConfig() {
        return examConfig;
    }

    public void setExamConfig(ExamConfig examConfig) {
        this.examConfig = examConfig;
    }

    public List<SubjectConfig> getSubjectConfig() {
        return subjectConfig;
    }

    public void setSubjectConfig(List<SubjectConfig> subjectConfig) {
        this.subjectConfig = subjectConfig;
    }

    public ImageCheckTask getImageCheckTask() {
        return imageCheckTask;
    }

    public void setImageCheckTask(ImageCheckTask imageCheckTask) {
        this.imageCheckTask = imageCheckTask;
    }

    public StudentAnswerTask getStudentAnswerTask() {
        return studentAnswerTask;
    }

    public void setStudentAnswerTask(StudentAnswerTask studentAnswerTask) {
        this.studentAnswerTask = studentAnswerTask;
    }

    public AssignedCheck getAssignedCheck() {
        return assignedCheck;
    }

    public void setAssignedCheck(AssignedCheck assignedCheck) {
        this.assignedCheck = assignedCheck;
    }

    public ExamStatusCheck getExamStatusCheck() {
        return examStatusCheck;
    }

    public void setExamStatusCheck(ExamStatusCheck examStatusCheck) {
        this.examStatusCheck = examStatusCheck;
    }
}
